steps:
  TIME_DIM-20:
    operation:
      database: ""
      dataset: ""
      locationID: 2
      locationName: SOURCES
      metadata:
        columns:
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 308
              stepCounter: 20
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: T_TIME_SK
            nullable: false
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 309
              stepCounter: 20
            config: {}
            dataType: VARCHAR(16)
            defaultValue: ""
            description: ""
            name: T_TIME_ID
            nullable: false
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 310
              stepCounter: 20
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: T_TIME
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 311
              stepCounter: 20
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: T_HOUR
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 312
              stepCounter: 20
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: T_MINUTE
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 313
              stepCounter: 20
            config: {}
            dataType: NUMBER(38,0)
            defaultValue: ""
            description: ""
            name: T_SECOND
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 314
              stepCounter: 20
            config: {}
            dataType: VARCHAR(2)
            defaultValue: ""
            description: ""
            name: T_AM_PM
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 315
              stepCounter: 20
            config: {}
            dataType: VARCHAR(20)
            defaultValue: ""
            description: ""
            name: T_SHIFT
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 316
              stepCounter: 20
            config: {}
            dataType: VARCHAR(20)
            defaultValue: ""
            description: ""
            name: T_SUB_SHIFT
            nullable: true
            primaryKey: false
            uniqueKey: false
          - acceptedValues:
              strictMatch: true
              values: []
            appliedColumnTests: {}
            columnReference:
              columnCounter: 317
              stepCounter: 20
            config: {}
            dataType: VARCHAR(20)
            defaultValue: ""
            description: ""
            name: T_MEAL_TIME
            nullable: true
            primaryKey: false
            uniqueKey: false
        join:
          joinCondition: FROM {{ ref('SOURCES', 'TIME_DIM') }}
      name: TIME_DIM
      schema: ""
      sqlType: Source
      table: TIME_DIM
      type: sourceInput
    stepCounter: "20"
